const table = [];
table.push(['Название', 'Дата', 'Где находится']);

Current.company.list().forEach(project =>
  project.list().forEach(board =>
    board.list().forEach(column =>
      column.list().forEach(task => {
        table.push([task.name, App.formatDateTime(task.timestamp), task.path]);
      })
    )
  )
);

const btn = UI.button('Скачать таблицу');
btn.onClick = function() {
  App.saveXlsx('Таблица.xlsx', table);
};

const drawButton = function() {
  if (Current.board) {
    Current.board.ui.clear();
    Current.board.ui.add(btn);
  }
};

drawButton();
Current.onBoardChange = drawButton();
